explorer run very slowly in map composer with a 2.0 project in 2.2 Qgis version

2014-03-31 01:21 AM - Benoit Couillet

Status: Closed

Priority: Normal

Assignee: Nyall Dawson
Category: Map Composer/Printing

Affected QGIS version:2.2.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 18455

Description

Hi,

| work on windows 7 with Qgis 2.2.0-2 -32 bits installed from OSGeo4W.
When | open a new projet, then Map composer, everything works (i can load file, model, ...)

Once | open a project .qgs made with Qgis 1.8/2.0, or a model .gqpt made with Qgis 1.8/2.0, then explorer in map composer (importing

image, opening modele, saving modele) run very very slowly and sometimes Qgis crashes down.

| attached a model .qpt made with Qgis 2.0.

This problem doesn't appear in Qgis 2.2.0-2 - 64 bits installed from OSGeo4W

Thank you for your help

Associated revisions

Revision 2b3108f9 - 2014-04-02 02:24 AM - Nyall Dawson

Fix high cpu usage with win32 builds when using shapes in composer (fix #9933, #9957, #9734)

History

#1 - 2014-03-31 10:18 PM - Nyall Dawson
- Assignee set to Nyall Dawson

Thank you! The details in this report have helped me track down this bug - a fix is incoming shortly.

#2 - 2014-04-01 06:04 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"2b3108f9aeadb6814ad0519b2c53840db2c834d1".
